import { UmbManagementApiMemberTypeDetailDataCacheInvalidationManager } from './repository/detail/server-data-source/member-type-detail.server.cache-invalidation.manager.js';
import { UmbManagementApiMemberTypeItemDataCacheInvalidationManager } from './repository/item/member-type-item.server.cache-invalidation.manager.js';
let detailDataCacheInvalidationManager;
let itemDataCacheInvalidationManager;
export const onInit = (host) => {
    detailDataCacheInvalidationManager = new UmbManagementApiMemberTypeDetailDataCacheInvalidationManager(host);
    itemDataCacheInvalidationManager = new UmbManagementApiMemberTypeItemDataCacheInvalidationManager(host);
};
export const onUnload = () => {
    detailDataCacheInvalidationManager?.destroy();
    itemDataCacheInvalidationManager?.destroy();
};
